package com.tongran.common.core.utils;

public class NetworkNameUtil {

    /**
     * 判断网卡是否为子网卡
     * @param interfaceName
     * @return
     */
    public static boolean isSubInterface(String interfaceName) {
        // 非空检查
        if (interfaceName == null || interfaceName.isEmpty()) {
            return false;
        }

        // 匹配模式：冒号后跟数字 或 点 或 -后跟数字
        String pattern = ".*[:.-]\\d+$";
        return interfaceName.matches(pattern);
    }
}
